﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCFileUpload.Models.LogOnModel>" %>

<hgroup class="title">
    <h1>Log On.</h1>
    <h2>Enter your username and password below.</h2>
</hgroup>

<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>

<%: Html.ValidationSummary(true, "Login was unsuccessful. Please correct the errors and try again.") %>

<% using (Html.BeginForm((string)ViewBag.FormAction, "Account")) { %>
    <fieldset>
        <legend>Log On Form</legend>
        <ol>
            <li>
                <%: Html.LabelFor(m => m.UserName) %>
                <%: Html.TextBoxFor(m => m.UserName) %>
                <%: Html.ValidationMessageFor(m => m.UserName) %>
            </li>
            <li>
                <%: Html.LabelFor(m => m.Password) %>
                <%: Html.PasswordFor(m => m.Password) %>
                <%: Html.ValidationMessageFor(m => m.Password) %>
            </li>
            <li>
                <%: Html.CheckBoxFor(m => m.RememberMe) %>
                <%: Html.LabelFor(m => m.RememberMe, new { @class = "checkbox" }) %>
            </li>
        </ol>
        <input type="submit" value="Log On" title="Log On" />
    </fieldset>
    <p>
        <%: Html.ActionLink("Register", "Register") %> if you don't have an account.
    </p>
<% } %>